# wxFileOutputStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFileOutputStream:
[legend]

## Detailed Description

This class represents data written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileOutputStream is based in the wxFFile class.

Note that wxOutputStream::SeekO() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase

Category: Streams

See also:
  wxBufferedOutputStream, wxFileInputStream, wxFFileOutputStream, wxFFileInputStream

## Public Member Functions
| wxFileOutputStream (const wxString &ofileName)
| Creates a new file with ofileName name and initializes the stream in write-only mode.
| wxFileOutputStream (wxFile &file)
| Initializes a file stream in write-only mode using the file I/O object file.
| wxFileOutputStream (int fd)
| Initializes a file stream in write-only mode using the file descriptor fd.
virtual | ~wxFileOutputStream ()
| Destructor.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFileOutputStream::wxFileOutputStream | ( | const wxString & | ofileName | ) |

Creates a new file with ofileName name and initializes the stream in write-only mode.

Warning:
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

wxFileOutputStream::wxFileOutputStream | ( | wxFile & | file | ) |

Initializes a file stream in write-only mode using the file I/O object file.

wxFileOutputStream::wxFileOutputStream | ( | int | fd | ) |

Initializes a file stream in write-only mode using the file descriptor fd.

virtual wxFileOutputStream::~wxFileOutputStream | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxFileOutputStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFileStream.

|  | [ top ]